Support » Plugin: Popup Maker - Popup for opt-ins, lead gen, & more » Popup Maker no longer work after upgrading to WordPress 5.5

  • Resolved owlangelcrash

    (@owlangelcrash)


    Popup Maker Trigger shortcode no longer work anymore since upgrading to WordPress 5.5. Used shortcode: [popup_trigger id=”online” tag=”a”]click here[/popup_trigger]. Also Time Delay / Auto Open no longer work anymore. No popup opens anymore after upgrading to WordPress 5.5.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support Maria T

    (@mariatogonon)

    Hi @owlangelcrash – sorry to hear about and apologies for the delayed response.

    Please be advised that we have already released version 1.11.2 of our Popup Maker plugin. This update fixes the issues regarding compatibility with WordPress 5.5 version.

    Please, could you make sure your plugin is updated to its latest version? Once done with the update, kindly clear your caching plugin and the cache from the CDN service or you can reach out to your hosting provider clear/purge all cache for you. Then kindly let us know if everything is working properly on your end now.

    If that helps, then we would very much appreciate it if you could quickly rate the plugin, just to help us spread the word.

    Have a great day!

    I had the same issue and did upgrade, however the I get a 404 on all new popups when viewing them. Any ideas?

    Plugin Author Daniel Iser

    (@danieliser)

    @icemancast, @owlangelcrash – Sorry for the delayed follow up.

    Can you both elaborate, you both describe different issues it seems.

    That said, @icemancast popup’s do not have URLs, whatever you are clicking is a malformatted link. It it is supposed to trigger a popup when clicked then likely there are JS errors on the page that are preventing your popups from ever getting to run.

    This is likely the same issue @owlangelcrash is facing.

    Now the real question is, if it truly was related to WP 5.5, then it likely has nothing to do with our plugin.

    To be clear we tested for 5.5 compatibility extensivly, but not all other plugins & themes did. Many had broken JS with the changes made to jQuery in 5.5. We did not face that issue, BUT if other plugins you are using are throwing JS errors, our code likely isn’t even getting a chance to run.

    If that is the case, there is nothing we can do to help until you resolve or remove the other offending code.

    This guide should help tracking those down: https://docs.wppopupmaker.com/article/373-checking-javascript-errors

    Hope that helps. If your issue is resolved please take a moment to rate and review the plugin or support.

    If you still need help please message us directly at https://wppopupmaker.com/support/.

    Thread Starter owlangelcrash

    (@owlangelcrash)

    Hi, I could solve the problem by installing the plugin “Enable jQuery Migrate Helper”. But not Popup Maker, the plugin Shortcodes Ultimate needs the plugin “Enable jQuery Migrate Helper”. With the update to WordPress 5.5, a migration tool known as jquery-migrate will no longer be enabled by default. This lead to unexpected behaviors in some plugins like Shortcodes Ultimate. I will give Popup Maker 5 stars – this plugin is really great!

    Have a great day! 🙂

    I am also having issues after upgrading to WordPress 5.6.2, the popups no longer work. Please help! – Thank you so much!

    @mariatogonon Hello Maria… I am new to this forum, is this the correct place to report issues with the Popup Maker after upgrading to WordPress 5.6.2? I really need to get this fixed as it is widely used on our website and is currently not working.
    Thank you so much!

    Thread Starter owlangelcrash

    (@owlangelcrash)

    I was able to solve my problem six months ago with the general recommendation to track down incompatibilities of plugins: Deactivate all other plugins one after the other on a staging site or at night in maintenance mode until the popups work again. For me, Popup Maker works fine with the current WordPress version. As described above, the problem was with a different plugin. The Popup Maker support team has no way of knowing and cannot figure out which combination of plugins resulted in an error. By the way, it is often the caching plugin that cause unwanted side effects.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Popup Maker no longer work after upgrading to WordPress 5.5’ is closed to new replies.